Module jdk.compiler
Package com.sun.source.doctree

## Interface LinkTree

- All Superinterfaces:
    `DocTree`, `InlineTagTree`

      public interface LinkTree
      extends InlineTagTree

  A tree node for an @link or @linkplain inline tag.

  {@link reference label}
  {@linkplain reference label }

  Since:
    1.8

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.doctree.DocTree

      `DocTree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends DocTree>` | `getLabel​()` | Returns the label, if any, of the link.
    `ReferenceTree` | `getReference​()` | Returns the reference of a link.

    - ### Methods inherited from interface com.sun.source.doctree.DocTree

      `accept, getKind`

    - ### Methods inherited from interface com.sun.source.doctree.InlineTagTree

      `getTagName`

- - ### Method Detail

    - #### getReference

          ReferenceTree getReference​()

      Returns the reference of a link.
      Returns:
        the reference

    - #### getLabel

          List<? extends DocTree> getLabel​()

      Returns the label, if any, of the link.
      Returns:
        the label